View Issue Details

IDProjectCategoryView StatusLast Update
0020466mantisbtadministrationpublic2016-06-12 00:43
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0-beta.1 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020466: Admin Integrity checks are not operational
Description

The new admin checks written by dhx include a series of tests to validate the integrity of a release.

These rely on the presence of 2 files, integrity_release_blobs.php and integrity_commit_blobs.php.

Unfortunately, these are no longer available, either at the link provided by dhx when he announced the feature on the mailing list [1], or on mantisforge (site is no longer available)

[1] https://sourceforge.net/p/mantisbt/mailman/message/24608409/

To avoid misleading errors/warnings, we should disable the Integrity checks for now.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 1dbaeaf3

2015-12-31 19:23:36

dregad

Details Diff
Fix 0020466: disable Integrity checks

These rely on the presence of 2 files, integrity_release_blobs.php and
integrity_commit_blobs.php, which are no longer available [1]

To avoid misleading errors/warnings, we skip execution of these checks
for now.

[1] https://sourceforge.net/p/mantisbt/mailman/message/24608409/
mod - admin/check/index.php Diff File

Issue History

Date Modified Username Field Change
2015-12-31 19:19 dregad New Issue
2015-12-31 19:19 dregad Status new => assigned
2015-12-31 19:19 dregad Assigned To => dregad
2016-01-01 19:21 dregad Changeset attached => MantisBT master 1dbaeaf3
2016-01-01 19:21 dregad Status assigned => resolved
2016-01-01 19:21 dregad Resolution open => fixed
2016-01-01 19:21 dregad Fixed in Version => 1.3.0-rc.2
2016-06-12 00:43 vboctor Status resolved => closed